Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class AccessControlEntryDefinition

    java.lang.Object

      |

      +--oracle.ifs.beans.LibraryObjectDefinition

            |

            +--oracle.ifs.beans.SystemObjectDefinition

                  |

                  +--oracle.ifs.beans.AccessControlEntryDefinition

public class AccessControlEntryDefinition
extends SystemObjectDefinition

The `AccessControlEntryDefinition` class is used construct a AccessControlEntry object. AccessControlEntry objects are always associated with a single AccessControlList obejct.

Most of the specifications of an ACE are set using specific methods introduced in this class, as opposed to using the setAttribute() method inherited from LibraryObjectDefinition. The specifications that must be set with explicit methods on this class are:

- setAccessLevel - sets the AccessLevel for this ACE, which encapsulates both the standard and extended Permissions.
- setGrantee - specifies the receiver of the grant or revoke defined by this object.
- enableGrantToWorld - specifies the grantee for this grant or revoke is the World group (i.e. all users).
- setInsertBeforeAccessControlEntry- specifies the ACE that this new ACE should be inserted before.
- setInsertAfterAccessControlEntry- specifies the ACE that this new ACE should be inserted after.

See Also:
  `AccessLevel`, `SystemObjectDefinition`, `AccessControlEntry`, `AccessControlList`, `AccessControlListDefinition`

Constructor Summary
`AccessControlEntryDefinition(LibrarySession session)` Constructs a AccessControlListDefinition explicitly capturing the session.

Method Summary
`void` | `addPermissionBundle(PermissionBundle pb)` Add a permission bundle to this definition.
`void` | `addPermissionBundles(PermissionBundle[] pbs)` Add AccessLevel using a set of permission bundles;
`void` | `enableGrantToWorld(boolean flag)` Set the 'WORLD' group as the grantee of the ACE being created.
`AccessLevel` | `getDistinctAccessLevel()` get the AccessLevel to be associated with this instance of ACE without permission bundles.
`DirectoryObject` | `getGrantee()` Returns the grantee to be associated with this definition.
`AccessControlEntry` | `getInsertAfterAccessControlEntry()` Returns the reference ACE set using setInsertAfterAccessControlEntry.
`AccessControlEntry` | `getInsertBeforeAccessControlEntry()` Returns the reference ACE set using setBeforeAfterAccessControlEntry.
`AccessLevel` | `getMergedAccessLevel()` get the AccessLevel to be associated with this instance of ACE with permission bundles.
`PermissionBundle[]` | `getPermissionBundles()` Returns set of PermissionBundles.
`void` | `setDistinctAccessLevel(AccessLevel level)` Set the AccessLevel to be associated with this instance of ACE before permission bundles are accounted for.
`void` | `setGrantee(DirectoryObject dirobject)` Set the grantee to be associated with this ACE.
`void` | `setInsertAfterAccessControlEntry(AccessControlEntry ace)` Set a reference ACE, so that the new ACE has a sort sequence greater than the reference ACE.
`void` | `setInsertBeforeAccessControlEntry(AccessControlEntry ace)` Set a reference ACE, so that the new ACE has a sequence less than the reference ACE.

Methods inherited from class oracle.ifs.beans.LibraryObjectDefinition
`clone, getAttribute, getAttributes, getClassObject, getOption, getOptionKeys, removeAttribute, removeOption, setAttribute, setAttribute, setAttributeByUpperCaseName, setAttributes, setClassObject, setOption`

Constructor Detail

### AccessControlEntryDefinition

    public AccessControlEntryDefinition(LibrarySession session)
                                 throws IfsException

  Constructs a AccessControlListDefinition explicitly capturing the session. The class name is initialized to ACCESSCONTROLENTRY.
  Parameters:
    `session` - the session
  Throws:
    `IfsException` - if the operation fails

Method Detail

### setDistinctAccessLevel

    public void setDistinctAccessLevel(AccessLevel level)
                                throws IfsException

  Set the AccessLevel to be associated with this instance of ACE before permission bundles are accounted for.
  Parameters:
    `level` - An AccessLevel object that defines the access level.

### getDistinctAccessLevel

    public AccessLevel getDistinctAccessLevel()
                                       throws IfsException

  get the AccessLevel to be associated with this instance of ACE without permission bundles.
  Returns:
    level An AccessLevel object that defines the access level without permission bundles.

### getMergedAccessLevel

    public AccessLevel getMergedAccessLevel()
                                     throws IfsException

  get the AccessLevel to be associated with this instance of ACE with permission bundles.
  Returns:
    level An AccessLevel object that defines the complete access level of this ace.

### addPermissionBundle

    public void addPermissionBundle(PermissionBundle pb)
                             throws IfsException

  Add a permission bundle to this definition.
  Parameters:
    `permission` - bundle to be added.
  Throws:
    `IfsException` - if the operation fails.

### addPermissionBundles

    public void addPermissionBundles(PermissionBundle[] pbs)
                              throws IfsException

  Add AccessLevel using a set of permission bundles;
  Parameters:
    `array` - of permission bundles.
  Throws:
    `IfsException` - if the operation fails.

### getPermissionBundles

    public PermissionBundle[] getPermissionBundles()
                                            throws IfsException

  Returns set of PermissionBundles.
  Returns:
    set of PermissionBundles currently set.
  Throws:
    `IfsException` - if the operation fails.

### setGrantee

    public void setGrantee(DirectoryObject dirobject)
                    throws IfsException

  Set the grantee to be associated with this ACE.
  Parameters:
    `dirobject` - The directory object to be associated with this instance.
  Throws:
    `IfsException` - if the operation fails

### getGrantee

    public DirectoryObject getGrantee()
                               throws IfsException

  Returns the grantee to be associated with this definition.
  Returns:
    dirobject The directory object to be associated with this instance.
  Throws:
    `IfsException` - if the operation fails

### enableGrantToWorld

    public void enableGrantToWorld(boolean flag)
                            throws IfsException

  Set the 'WORLD' group as the grantee of the ACE being created.
  Parameters:
    `flag` - if set to true, WORLD will become the grantee.
  Throws:
    `IfsException` - if the operation fails

### setInsertAfterAccessControlEntry

    public void setInsertAfterAccessControlEntry(AccessControlEntry ace)
                                          throws IfsException

  Set a reference ACE, so that the new ACE has a sort sequence greater than the reference ACE. This makes sure that the new ACE will appear after the reference ACE in the ACL.
  Parameters:
    `ace` - the reference AccessControlEntry.
  Throws:
    `IfsException` - if the operation fails

### getInsertAfterAccessControlEntry

    public AccessControlEntry getInsertAfterAccessControlEntry()
                                                        throws IfsException

  Returns the reference ACE set using setInsertAfterAccessControlEntry.
  Returns:
    ACE set using setInsertAfterAccessControlEntry.
  Throws:
    `IfsException` - if the operation fails

### setInsertBeforeAccessControlEntry

    public void setInsertBeforeAccessControlEntry(AccessControlEntry ace)
                                           throws IfsException

  Set a reference ACE, so that the new ACE has a sequence less than the reference ACE. This makes sure that the new ACE being created will appear prior to the reference ACE in the ACL.
  Parameters:
    `ace` - the reference AccessControlEntry.
  Throws:
    `IfsException` - if the operation fails

### getInsertBeforeAccessControlEntry

    public AccessControlEntry getInsertBeforeAccessControlEntry()
                                                         throws IfsException

  Returns the reference ACE set using setBeforeAfterAccessControlEntry.
  Returns:
    ACE set using setInsertBeforeAccessControlEntry.
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD